Can not remove package trisquel-desktop-common-data

Projet:Trisquel
Version:7.0
Composant:Packages
Catégorie:Rapporter un bogue
Priorité:critical
Attribué:Non assigné
Statut:patch (ready)
Description

Installed image trisquel_6.0-20130203_i686.iso and updated.

Removal of package trisquel-desktop-common-data fails.

Might be useful:
Removing 'diversion of /usr/bin/gnome-panel to /usr/bin/gnome-panel.real by trisquel-desktop-common-data'
dpkg-divert: error: rename involves overwriting `/usr/bin/gnome-panel' with
different file `/usr/bin/gnome-panel.real', not allowed
dpkg: error processing trisquel-desktop-common-data (--purge):
subprocess installed post-removal script returned error exit status 2

mar, 02/12/2013 - 14:10
Statut:active» patch (needs review)

Changed debian/postrm so that diversion removal works.
Package should be removable now.

Fichier attachéTaille
postrm.patch 262 octets
mar, 02/26/2013 - 14:09

Added a git patch, for easier applying, in hope it would be applied sooner this way.

Fichier attachéTaille
postrm-git.patch 643 octets
jeu, 08/29/2013 - 22:36
Statut:patch (needs review)» patch (ready)

This patch works for me.
Why does it take so long to apply?

It really bothers me when I want to install a new version of xfce4 on a clean system from a ppa which contains /etc/xdg/autostart/xscreensaver.desktop file in a package. This file is also included in trisquel-desktop-common-data package which would I therefore like to remove, but removing fails, and it brakes my apt-get.

EDIT: The package was updated to version, but the issue wasn't resolved.

dim, 09/01/2013 - 12:20

I made a simple edit to original postrm script to just ignore errors.

Fichier attachéTaille
ignore-errors.patch 280 octets
mar, 12/24/2013 - 01:55

I have this same issue, also without GNOME (I too use Xfce). It seems that the package assumes gnome-panel is pressent on the system, but doesn't actually depend on gnome-panel. It seems this could be fixed in one of three ways:

0. Depend on gnome-panel
1. Don't assume gnome-panel is installed
2. Check to see if gnome-panel is installed before trying to interact with it

mar, 11/04/2014 - 19:27
Version:6.0» 7.0

Bug is still present in Trisquel 7.
I am uploading a patch for trisquel-desktop-common-data package in version 7 (for debian/postrm) that makes the script ignore errors.

Fichier attachéTaille
tdcd-ignore-errors.patch 288 octets